/*
 * relop.c - Relational operators
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#include <stdlib.h>
#include <stdio.h>

#include "relop.h"


void dump_relop(FILE *file, enum relop op)
{
	switch (op) {
	case rel_lt:
		fprintf(file, "<");
		break;
	case rel_le:
		fprintf(file, "<=");
		break;
	case rel_eq:
		fprintf(file, "=");
		break;
	case rel_ge:
		fprintf(file, ">=");
		break;
	case rel_gt:
		fprintf(file, ">");
		break;
	default:
		abort();
	}
}
